GLSA-200506-21 : Trac: File upload vulnerability

This script is Copyright (C) 2005-2014 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-200506-21
(Trac: File upload vulnerability)

Stefan Esser of the Hardened-PHP project discovered that Trac
fails to validate the 'id' parameter when uploading attachments to the
wiki or the bug tracking system.

Impact :

A remote attacker could exploit the vulnerability to upload
arbitrary files to a directory where the webserver has write access to,
possibly leading to the execution of arbitrary code.

Workaround :

There is no known workaround at this time.

See also :

http://www.hardened-php.net/advisory-012005.php
http://www.gentoo.org/security/en/glsa/glsa-200506-21.xml

Solution :

All Trac users should upgrade to the latest available version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=www-apps/trac-0.8.4'

Risk factor :

Medium

Family: Gentoo Local Security Checks

Nessus Plugin ID: 18548 (gentoo_GLSA-200506-21.nasl)

Bugtraq ID:

CVE ID: